@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-Bold.ttf");
    font-weight: 700;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-BoldItalic.ttf");
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-Italic.ttf");
    font-style: italic;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-Light.ttf");
    font-weight: 100;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-LightItalic.ttf");
    font-weight: 100;
    font-style: italic;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-Medium.ttf");
    font-weight: 400;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-MediumItalic.ttf");
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: "OpenSans";
    src: url("/fonts/OpenSans-Regular.ttf");
    font-weight: 500;
}

html {
    font-size: 30px;
}



.dato {
    font-size: 1.5rem;
}

body {
    font-family: "OpenSans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
        Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji",
        "Segoe UI Symbol";
}

:root {
    --unidad: "[m/s]";
}

*,
*:after,
*:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.blanco {
    background: #fff;
}

.gris {
    background: #dfdfdf;
}

.header {
    background: var(--azul);
}

.header>span {
    color: #fff;
}

.container-root-oce {
    width: 100%;
    display: grid;
    grid-template-columns: 100%;
    justify-content: center;
    justify-self: center;
    overflow-x: hidden;
}

/* .container {
    display: grid;
    grid-template-columns: repeat(7, minmax(0, 1fr));
    grid-template-rows: 1rem 1rem;
    grid-auto-flow: row;
    gap: 0;
  } */

.title-oce,
.header,
.dato,
.nombre-dia-oce {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-auto-rows: 100%;
    font-size: 1.2rem;
}

.gridded-oce {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 11% 34% 38% 17%;
    grid-template-rows: calc(1rem + 10px);
    height: 2rem;
}

.headers {
    position: sticky;
    top: calc(1rem + 10px);
}

.header-vv {
    font-size: 0.5rem;
}

.nombre-dia-oce {
    height: calc(1rem + 10px);
    font-size: 1.1rem;
}

.subgrid-oce {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: auto;
    border-bottom: none;
    /* border-bottom: 1px solid black; */
    grid-auto-rows: 100%;
    height: 100%;
}

.subgrid-oce-compuesto {
    grid-template-columns: 50% 50%;
}

.viento-oce.subgrid-oce {
    grid-template-columns: 50% 50%;
}

.dato.vv {
    display: grid;
    grid-template-columns: 50% 50%;
}

.dato-icono {
    margin-right: auto;
    margin-left: 0;
}

.header {
    position: sticky;
    top: 1rem;
}

.nombre-dia-oce {
    grid-column-start: 1;
    grid-column-end: 8;
    position: sticky;
    top: 0;
    background: #29679b;
    color: white;
}

.container-dia-oce {
    /* props de div como child */
    grid-column-start: 1;
    grid-column-end: 8;
}

.container-dia-oce {
    /* props de div como parent */
    display: flex;
    flex-direction: column;
}

.tiempo-oce {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
}


.dato.icono-olas {
    display: grid;
    grid-template-columns: 60% 40%;
}

.img-oce {
    border-radius: 50%;
    max-height: 90%;
    width: auto;
    height: 100%;
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
    align-self: center;
}

.dato-icono {
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
    width: 100%;
    font-size: 1.2rem;
}

.span-title-oce,
.span-header {
    align-content: center;
}


@media (max-width: 900px) {
    .title.tsm.gris span {
        display: none;
    }

    .title.tsm.gris:after {
        content: "T°";
    }

    .periodo-olas {
        display: none;
    }
}

@media (max-width: 700px) {
    html {
        font-size: 14px;
    }
}

@media (min-device-pixel-ratio: 2.5) {
    html {
        font-size: 12px;
    }
}

@media (orientation: portrait) {
    .subgrid-oce {
        grid-template-columns: 50% 50%;
    }

    .gridded-oce {
        grid-template-columns: 15.01% 28.33% 28.33% 28.33%;
        grid-template-rows: 100%;
    }

    .dato.vv {
        margin-right: 0;
    }

    .dato.icono-olas {
        display: grid;
        grid-template-columns: 50% 50%;
    }

    .dato.icono-tsm {
        display: grid;
        grid-template-columns: 25% 50%;
    }

    span {
        font-size: 0.8rem;
    }

    @media (max-width: 400px) {
        span {
            font-size: 0.8rem;
        }

        .span-title-oce {
            font-size: 0.95rem;
        }
    }

    @media (min-width: 401px) {
        span {
            font-size: 1.3rem;
        }

        .span-title-oce {
            font-size: 1.1rem;
        }
    }

    @media (max-width: 350px) {
        .dato.vv {
            grid-template-columns: initial;
        }

        .dato.icono-olas {
            grid-template-columns: initial;
        }

    }

    @media (max-width: 700px) {
        .span-header {
            font-size: 1rem;
        }

        .header-vv {
            font-size: 0.8rem;
        }
    }

    @media (min-width: 701px) and (max-width: 1025px) {
        .span-title-oce {
            font-size: 1.2rem;
        }

        .span-header {
            font-size: 0.65rem;
        }

        .dato-icono {
            font-size: 1.3rem;
        }
    }

}

@media (orientation: landscape) {
    .gridded-oce {
        grid-template-columns: 11% 34% 38% 17%;
    }

    .viento-oce.subgrid-oce {
        grid-template-columns: 50% 50%;
    }

    .dato.vv {
        display: grid;
        grid-template-columns: 50% 50%;
    }

    .dato-icono {
        font-size: 1rem;
    }

    .periodo-olas {
        display: flex;
    }

    .dato.icono-tsm {
        display: grid;
        grid-template-columns: 60% 40%;
    }

    .dato.icono-olas {
        grid-template-columns: 50% 50%;
    }

    .olas-oce.subgrid-oce {
        display: grid;
        grid-template-columns: 50% 50%;
        /* grid-template-columns: 45% 25% 30%; */
    }

    span {
        font-size: 0.65rem;
    }
}